GO-2022-1002

Source
https://storage.googleapis.com/go-vulndb/ID/GO-2022-1002.json
Aliases
Published
2022-09-21T15:12:40Z
Modified
2022-09-21T15:12:40Z
Details

ParseVector can panic when provided with invalid input.

References

Affected packages

Go / github.com/pandatix/go-cvss

github.com/pandatix/go-cvss

Affected ranges

Type
SEMVER
Events
Introduced
0.2.0
Fixed
0.4.0

Affected versions

Ecosystem specific

{
    "imports": [
        {
            "path": "github.com/pandatix/go-cvss/20",
            "symbols": [
                "ParseVector"
            ]
        }
    ]
}

Database specific

{
    "url": "https://pkg.go.dev/vuln/GO-2022-1002"
}